{ config, ... }:

let
  giuglioDomain = "giugl.io";
in
{
  age.secrets.cloudflare = {
    file = ../secrets/cloudflare.age;
    owner = "acme";
  };
  security.acme = {
    acceptTerms = true;
    certs.${giuglioDomain} =
      {
        dnsProvider = "cloudflare";
        environmentFile = config.age.secrets.cloudflare.path;
        extraDomainNames = [ "*.${giuglioDomain}" ];
      };
    defaults = {
      email = "letsencrypt@depasquale.giugl.io";
      dnsProvider = "cloudflare";
      environmentFile = config.age.secrets.cloudflare.path;
    };
  };
}
